LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY clk_emitter IS
PORT(sel : IN STD_LOGIC_VECTOR (3 DOWNTO 0);
     clk_in : IN STD_LOGIC;
     h2,h4,m5,m9 : OUT STD_LOGIC :='0'
    );
END clk_emitter;

ARCHITECTURE behavioral OF clk_emitter IS
BEGIN
PROCESS
BEGIN
   CASE SEL IS
     WHEN "0001" =>
                 m9<=clk_in;
                 m5<='0';
                 h4<='0';
                 h2<='0';
     WHEN "0010" =>
                 m5<=clk_in;
                 m9<='0';
                 h4<='0';
                 h2<='0';
     WHEN "0100" =>h4<=clk_in;
                 m9<='0';
                 m5<='0';
                 h2<='0';
     WHEN "1000" =>h2<=clk_in;
                 m9<='0';
                 m5<='0';
                 h4<='0';
     WHEN OTHERS =>
                 m9<='0';
                 m5<='0';
                 h4<='0';
                 h2<='0';
   END CASE;
END PROCESS;
END behavioral;
