LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY down_59COUNTER IS
PORT(up_down,in_clk,aclr : IN STD_LOGIC;
     outP       : buffer INTEGER RANGE 0 TO 9
);
END down_59COUNTER ;

ARCHITECTURE behavioral OF down_59COUNTER  IS
BEGIN
PROCESS(in_clk)
VARIABLE mnt : INTEGER RANGE 0 TO 9;
VARIABLE dir : INTEGER;
BEGIN
IF (up_down='0')THEN
dir:=1;
ELSE
dir:=-1;
END IF;
IF aclr='1'THEN
mnt:=0;
ELSE
IF in_clk'EVENT AND in_clk='1'THEN
mnt:=mnt+dir;
END IF;
END IF;
outP<=mnt;
END PROCESS;
END behavioral;
