LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY mux_4b_4i IS
PORT(sel,in0,in2:IN STD_LOGIC_VECTOR (0 DOWNTO 3);
     in1:IN STD_LOGIC_VECTOR (0 DOWNTO 2);
     in3:IN STD_LOGIC_VECTOR(0 DOWNTO 1);
     outP:OUT STD_LOGIC_VECTOR(0 DOWNTO 3)
     );
END mux_4b_4i;

ARCHITECTURE behavioral OF mux_4b_4i IS
BEGIN
outP<=in0 WHEN sel="0001"ELSE
      in1 WHEN sel="0010"ELSE
      in2 WHEN sel="0100"ELSE
      in3 WHEN sel="1000"ELSE
"X";
END behavioral;
